Subscription plans
Update a subscription plan (PATCH)
The PATCH form of PUT /api/subscription_plans/{id}. Both methods reach one
update action, take the same body and return the same responses. Read
that operation for the details.
PATCH
/
api
/
subscription_plans
/
{id}
Update a subscription plan (PATCH)
curl --request PATCH \
--url https://api.fluid.app/api/subscription_plans/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subscription_plan": {
"name": "Monthly Paper Restock",
"billing_interval": 1,
"billing_interval_unit": "month",
"shipping_interval": 1,
"shipping_interval_unit": "month",
"volume_interval": 1,
"volume_interval_unit": "month",
"allow_skipping": true,
"max_skips": 3,
"price_adjustment_type": "percentage",
"price_adjustment_amount": 10,
"savings_display_mode": "percent",
"active": true,
"company_default": true
}
}
'import requests
url = "https://api.fluid.app/api/subscription_plans/{id}"
payload = { "subscription_plan": {
"name": "Monthly Paper Restock",
"billing_interval": 1,
"billing_interval_unit": "month",
"shipping_interval": 1,
"shipping_interval_unit": "month",
"volume_interval": 1,
"volume_interval_unit": "month",
"allow_skipping": True,
"max_skips": 3,
"price_adjustment_type": "percentage",
"price_adjustment_amount": 10,
"savings_display_mode": "percent",
"active": True,
"company_default": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subscription_plan: {
name: 'Monthly Paper Restock',
billing_interval: 1,
billing_interval_unit: 'month',
shipping_interval: 1,
shipping_interval_unit: 'month',
volume_interval: 1,
volume_interval_unit: 'month',
allow_skipping: true,
max_skips: 3,
price_adjustment_type: 'percentage',
price_adjustment_amount: 10,
savings_display_mode: 'percent',
active: true,
company_default: true
}
})
};
fetch('https://api.fluid.app/api/subscription_plans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/subscription_plans/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'subscription_plan' => [
'name' => 'Monthly Paper Restock',
'billing_interval' => 1,
'billing_interval_unit' => 'month',
'shipping_interval' => 1,
'shipping_interval_unit' => 'month',
'volume_interval' => 1,
'volume_interval_unit' => 'month',
'allow_skipping' => true,
'max_skips' => 3,
'price_adjustment_type' => 'percentage',
'price_adjustment_amount' => 10,
'savings_display_mode' => 'percent',
'active' => true,
'company_default' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/subscription_plans/{id}"
payload := strings.NewReader("{\n \"subscription_plan\": {\n \"name\": \"Monthly Paper Restock\",\n \"billing_interval\": 1,\n \"billing_interval_unit\": \"month\",\n \"shipping_interval\": 1,\n \"shipping_interval_unit\": \"month\",\n \"volume_interval\": 1,\n \"volume_interval_unit\": \"month\",\n \"allow_skipping\": true,\n \"max_skips\": 3,\n \"price_adjustment_type\": \"percentage\",\n \"price_adjustment_amount\": 10,\n \"savings_display_mode\": \"percent\",\n \"active\": true,\n \"company_default\": true\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/subscription_plans/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"subscription_plan\": {\n \"name\": \"Monthly Paper Restock\",\n \"billing_interval\": 1,\n \"billing_interval_unit\": \"month\",\n \"shipping_interval\": 1,\n \"shipping_interval_unit\": \"month\",\n \"volume_interval\": 1,\n \"volume_interval_unit\": \"month\",\n \"allow_skipping\": true,\n \"max_skips\": 3,\n \"price_adjustment_type\": \"percentage\",\n \"price_adjustment_amount\": 10,\n \"savings_display_mode\": \"percent\",\n \"active\": true,\n \"company_default\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/subscription_plans/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"subscription_plan\": {\n \"name\": \"Monthly Paper Restock\",\n \"billing_interval\": 1,\n \"billing_interval_unit\": \"month\",\n \"shipping_interval\": 1,\n \"shipping_interval_unit\": \"month\",\n \"volume_interval\": 1,\n \"volume_interval_unit\": \"month\",\n \"allow_skipping\": true,\n \"max_skips\": 3,\n \"price_adjustment_type\": \"percentage\",\n \"price_adjustment_amount\": 10,\n \"savings_display_mode\": \"percent\",\n \"active\": true,\n \"company_default\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"subscription_plan": {
"id": 2741,
"name": "Monthly Paper Restock",
"billing_interval": 1,
"billing_interval_unit": "month",
"billing_frequency_in_words": "1 month",
"shipping_interval": 1,
"shipping_interval_unit": "month",
"volume_interval": 1,
"volume_interval_unit": "month",
"trial_period": null,
"trial_period_unit": null,
"split_volume": false,
"apply_to_volume": false,
"allow_skipping": true,
"max_skips": 3,
"allow_max_billing_cycles": false,
"max_billing_cycles": null,
"price_adjustment_type": "percentage",
"price_adjustment_amount": 10,
"savings_display_mode": "percent",
"active": true,
"company_default": true,
"created_at": "2026-09-08T13:22:41.305Z",
"updated_at": "2026-09-30T14:05:12.341Z",
"products_count": 2,
"subscribers_count": 0,
"company": {
"id": 1405,
"name": "Dunder Mifflin Paper Company"
},
"subscriptions": [],
"products": [
{
"id": 73021
},
{
"id": 73044
}
]
},
"meta": {
"request_id": "5f0c2b9e-3d41-4a7e-9b12-6e8d4c0a7f31",
"timestamp": "2026-09-30T14:05:12Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}Authorizations
Bearer token authentication
Path Parameters
Body
application/json
⌘I
Update a subscription plan (PATCH)
curl --request PATCH \
--url https://api.fluid.app/api/subscription_plans/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subscription_plan": {
"name": "Monthly Paper Restock",
"billing_interval": 1,
"billing_interval_unit": "month",
"shipping_interval": 1,
"shipping_interval_unit": "month",
"volume_interval": 1,
"volume_interval_unit": "month",
"allow_skipping": true,
"max_skips": 3,
"price_adjustment_type": "percentage",
"price_adjustment_amount": 10,
"savings_display_mode": "percent",
"active": true,
"company_default": true
}
}
'import requests
url = "https://api.fluid.app/api/subscription_plans/{id}"
payload = { "subscription_plan": {
"name": "Monthly Paper Restock",
"billing_interval": 1,
"billing_interval_unit": "month",
"shipping_interval": 1,
"shipping_interval_unit": "month",
"volume_interval": 1,
"volume_interval_unit": "month",
"allow_skipping": True,
"max_skips": 3,
"price_adjustment_type": "percentage",
"price_adjustment_amount": 10,
"savings_display_mode": "percent",
"active": True,
"company_default": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subscription_plan: {
name: 'Monthly Paper Restock',
billing_interval: 1,
billing_interval_unit: 'month',
shipping_interval: 1,
shipping_interval_unit: 'month',
volume_interval: 1,
volume_interval_unit: 'month',
allow_skipping: true,
max_skips: 3,
price_adjustment_type: 'percentage',
price_adjustment_amount: 10,
savings_display_mode: 'percent',
active: true,
company_default: true
}
})
};
fetch('https://api.fluid.app/api/subscription_plans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/subscription_plans/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'subscription_plan' => [
'name' => 'Monthly Paper Restock',
'billing_interval' => 1,
'billing_interval_unit' => 'month',
'shipping_interval' => 1,
'shipping_interval_unit' => 'month',
'volume_interval' => 1,
'volume_interval_unit' => 'month',
'allow_skipping' => true,
'max_skips' => 3,
'price_adjustment_type' => 'percentage',
'price_adjustment_amount' => 10,
'savings_display_mode' => 'percent',
'active' => true,
'company_default' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/subscription_plans/{id}"
payload := strings.NewReader("{\n \"subscription_plan\": {\n \"name\": \"Monthly Paper Restock\",\n \"billing_interval\": 1,\n \"billing_interval_unit\": \"month\",\n \"shipping_interval\": 1,\n \"shipping_interval_unit\": \"month\",\n \"volume_interval\": 1,\n \"volume_interval_unit\": \"month\",\n \"allow_skipping\": true,\n \"max_skips\": 3,\n \"price_adjustment_type\": \"percentage\",\n \"price_adjustment_amount\": 10,\n \"savings_display_mode\": \"percent\",\n \"active\": true,\n \"company_default\": true\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/subscription_plans/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"subscription_plan\": {\n \"name\": \"Monthly Paper Restock\",\n \"billing_interval\": 1,\n \"billing_interval_unit\": \"month\",\n \"shipping_interval\": 1,\n \"shipping_interval_unit\": \"month\",\n \"volume_interval\": 1,\n \"volume_interval_unit\": \"month\",\n \"allow_skipping\": true,\n \"max_skips\": 3,\n \"price_adjustment_type\": \"percentage\",\n \"price_adjustment_amount\": 10,\n \"savings_display_mode\": \"percent\",\n \"active\": true,\n \"company_default\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/subscription_plans/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"subscription_plan\": {\n \"name\": \"Monthly Paper Restock\",\n \"billing_interval\": 1,\n \"billing_interval_unit\": \"month\",\n \"shipping_interval\": 1,\n \"shipping_interval_unit\": \"month\",\n \"volume_interval\": 1,\n \"volume_interval_unit\": \"month\",\n \"allow_skipping\": true,\n \"max_skips\": 3,\n \"price_adjustment_type\": \"percentage\",\n \"price_adjustment_amount\": 10,\n \"savings_display_mode\": \"percent\",\n \"active\": true,\n \"company_default\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"subscription_plan": {
"id": 2741,
"name": "Monthly Paper Restock",
"billing_interval": 1,
"billing_interval_unit": "month",
"billing_frequency_in_words": "1 month",
"shipping_interval": 1,
"shipping_interval_unit": "month",
"volume_interval": 1,
"volume_interval_unit": "month",
"trial_period": null,
"trial_period_unit": null,
"split_volume": false,
"apply_to_volume": false,
"allow_skipping": true,
"max_skips": 3,
"allow_max_billing_cycles": false,
"max_billing_cycles": null,
"price_adjustment_type": "percentage",
"price_adjustment_amount": 10,
"savings_display_mode": "percent",
"active": true,
"company_default": true,
"created_at": "2026-09-08T13:22:41.305Z",
"updated_at": "2026-09-30T14:05:12.341Z",
"products_count": 2,
"subscribers_count": 0,
"company": {
"id": 1405,
"name": "Dunder Mifflin Paper Company"
},
"subscriptions": [],
"products": [
{
"id": 73021
},
{
"id": 73044
}
]
},
"meta": {
"request_id": "5f0c2b9e-3d41-4a7e-9b12-6e8d4c0a7f31",
"timestamp": "2026-09-30T14:05:12Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}